# cli.utils.args

`cli.utils.args`

Utilities for axolotl CLI args.

## Functions

Name | Description
--- | ---
add_options_from_config | Create Click options from the fields of a Pydantic model.
add_options_from_dataclass | Create Click options from the fields of a dataclass.
filter_none_kwargs | Wraps function to remove `None`-valued `kwargs`.

### add_options_from_config

    cli.utils.args.add_options_from_config(config_class)

Create Click options from the fields of a Pydantic model.

For fields whose type is itself a Pydantic BaseModel, dot-notation CLI options are generated for each sub-field (e.g., `--trl.beta=0.1`).

#### Parameters

Name | Type | Description | Default
--- | --- | --- | ---
config_class | Type[BaseModel] | PyDantic model with fields to parse from the CLI | required

#### Returns

Name | Type | Description
--- | --- | ---
| Callable | Function decorator for Axolotl CLI command.

### add_options_from_dataclass

    cli.utils.args.add_options_from_dataclass(config_class)

Create Click options from the fields of a dataclass.

#### Parameters

Name | Type | Description | Default
--- | --- | --- | ---
config_class | Type[Any] | Dataclass with fields to parse from the CLI. | required

#### Returns

Name | Type | Description
--- | --- | ---
| Callable | Function decorator for Axolotl CLI command.

### filter_none_kwargs

    cli.utils.args.filter_none_kwargs(func)

Wraps function to remove `None`-valued `kwargs`.

#### Parameters

Name | Type | Description | Default
--- | --- | --- | ---
func | Callable | Function to wrap. | required

#### Returns

Name | Type | Description
--- | --- | ---
| Callable | Wrapped function.